%global srcname jwcrypto

Summary:       Implements JWK, JWS, JWE specifications using python-cryptography
Name:          python-%{srcname}
Version:       1.4.2
Release:       3%{?dist}
License:       LGPLv3+
URL:           https://github.com/latchset/%{srcname}
Source0:       %{url}/releases/download/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-cryptography
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-deprecated
BuildArch:     noarch

%description
Implements JWK, JWS, JWE specifications using python-cryptography

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Implements JWK, JWS, JWE specifications using python-cryptography
Requires:       python%{python3_pkgversion}-cryptography python%{python3_pkgversion}-deprecated

%description -n python%{python3_pkgversion}-%{srcname}
Implements JWK, JWS, JWE specifications using python-cryptography


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%check
python3 -bb -m pytest %{srcname}/test*.py

%install
%py3_install

rm -rf %{buildroot}%{_docdir}/%{srcname}
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/tests{,-cookbook}.py*
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/__pycache__/tests{,-cookbook}.*.py*

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 1.4.2-1
- initial build
